import { ModuleWithProviders, NgModule } from '@angular/core';

import { SERVICES } from './services';

@NgModule({})
export class BankRootModule {}

@NgModule({})
export class BankModule {
  public static forRoot(): ModuleWithProviders<BankRootModule> {
    return {
      ngModule: BankRootModule,
      providers: [...SERVICES],
    };
  }
}
